! beats2.cmd
!
echo Give a list of beat rates for a 12-tone temperament
set separator
set calc short
echo
echo Beats of fourths:
echo C-F:
calc %5+3 min 4
echo B-E:
calc %4+3 min 4+%-1
echo Bb-Eb:
calc %3+3 min 4+%-2
echo A-D:
calc %2+3 min 4+%-3
echo G#-C#:
calc %1+3 min 4+%-4
echo G-C:
calc 3 min 4+%-5
pause
echo Gb-B:
calc %-1+3 min 4+%-6
echo F-Bb is equal to fifth Bb-F:
calc %-2+3 min 4+%-7
echo
echo Beats of fifths:
echo A-E:
calc %-3+3 min 2+%4
echo G#-D#:
calc %-4+3 min 2+%3
echo G-D:
calc %-5+3 min 2+%2
echo F#-C#:
calc %-6+3 min 2+%1
echo F-C:
calc %-7+3 min 2
pause
echo
echo Beats of minor thirds:
echo D-F:
calc %2+6 min 5+%5
echo C#-E:
calc %1+6 min 5+%4
echo C-Eb:
calc 6 min 5+%3
echo B-D:
calc %-1+6 min 5+%2
echo Bb-Db:
calc %-2+6 min 5+%1
echo A-C:
calc %-3+6 min 5
pause
echo G#-B:
calc %-4+6 min 5+%-1
echo G-Bb:
calc %-5+6 min 5+%-2
echo F#-A:
calc %-6+6 min 5+%-3
echo F-Ab is equal to major sixth Ab-F:
calc %-7+6 min 5+%-4
pause
echo
echo Beats of major sixths:
echo G-E:
calc %-5+5 min 3+%4
echo F#-D#:
calc %-6+5 min 3+%3
echo F-D:
calc %-7+5 min 3+%2
echo
echo Beats of major thirds:
echo Db-F:
calc %1+5 min 4+%5
echo C-E:
calc 5 min 4+%4
echo B-D#:
calc %-1+5 min 4+%3
pause
echo Bb-D:
calc %-2+5 min 4+%2
echo A-C#:
calc %-3+5 min 4+%1
echo Ab-C:
calc %-4+5 min 4
echo G-B:
calc %-5+5 min 4+%-1
echo F#-A#:
calc %-6+5 min 4+%-2
echo F-A:
calc %-7+5 min 4+%-3
pause
echo
echo Beats of the octave:
echo F-F:
calc %-7+2 min %5
set separator |
set calc long
